Bug 112677 - [UI] Help button should be on the left of dialog
Summary: [UI] Help button should be on the left of dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium normal
Assignee: Nigel Dias
URL:
Whiteboard: target:6.0.0
Keywords: difficultyBeginner, easyHack, skillUI
Depends on:
Blocks: Dialog-Buttons-Unification
  Show dependency treegraph
 
Reported: 2017-09-26 19:13 UTC by Olivier Hallot
Modified: 2017-10-05 15:29 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of dialog with help button on the right (19.50 KB, image/png)
2017-09-26 19:13 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2017-09-26 19:13:52 UTC
Created attachment 136555 [details]
Screenshot of dialog with help button on the right

The Help button in the Certificate path dialog should be on the left. See image attached showing current situation.
Comment 1 Gabor Kelemen 2017-09-26 19:56:53 UTC
Repro on 6.0 alpha.
Comment 2 Adolfo Jayme 2017-09-26 20:32:53 UTC
And the “Add” button should be in its own row, below the list box, because it is not a global dialog action.

This is an easy hack. The dialog file is cui/uiconfig/ui/certdialog.ui; just edit that in Glade.
Comment 3 Udaree Kanewala 2017-09-28 04:08:17 UTC
Hi,

Can you give directions on how to get to the Certificate path dialog? I tried to find it but was unsuccessful.
Comment 5 Adolfo Jayme 2017-09-28 04:23:33 UTC
In LibreOffice, this dialog appears if you go to Tools > Options > Security and click the “Certificate” button
Comment 6 Xisco Faulí 2017-10-01 23:15:20 UTC
Gerrit patch: https://gerrit.libreoffice.org/#/c/42960/
Comment 7 Nigel Dias 2017-10-02 13:59:42 UTC
New gerrit patch https://gerrit.libreoffice.org/#/c/43045/
Comment 8 Commit Notification 2017-10-02 17:20:26 UTC
nigeldias committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=924c6f0bbc25377d6b299ca4b12408cfc57d60f5

tdf#112677 Correcting buttons position in certificate path dialog

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.